Bug 124209 - [NEW PORT] java/jtiger : A Unit Test Framework and Tools for the Java2 Platform
Summary: [NEW PORT] java/jtiger : A Unit Test Framework and Tools for the Java2 Platform
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-02 15:40 UTC by wenheping
Modified: 2008-06-20 15:40 UTC (History)
0 users

See Also:


Attachments
file.shar (22.22 KB, text/plain)
2008-06-02 15:40 UTC, wenheping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description wenheping 2008-06-02 15:40:01 UTC
JTiger is a unit test framework and tools for the
Java 2 Platform. The framework provides a useful
abstraction on which to write unit test fixtures
and unit test cases. JTiger tools provide functionality
that is often desired in software unit testing
environments. JTiger development encourages Test
Driven Development, though it doesn't mandate it,
and any unit testing software development technique
is sufficient.

The JTiger framework provides a published and
documented API should the need arise to extend its
functionality. An example of extending the JTiger
framework, is the ability to execute test cases that
are written using the JUnit unit test framework.
The JUnit plugin implementation classes are included
as part of the JTiger framework.

WWW:   http://www.jtiger.org

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-06-02 15:40:11 UTC
Class Changed
From-To: update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-06-02 15:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2008-06-03 14:32:10 UTC
State Changed
From-To: open->feedback

Your port don't respect NOPORTEXAMPLES and NOPORTDOCS.  Please fix it 
and submit a followup to this PR. Look at the Porters Handbook for 
instructions
Comment 4 Martin Wilke freebsd_committer 2008-06-20 15:38:34 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2008-06-20 15:38:53 UTC
miwi        2008-06-20 14:38:40 UTC

  FreeBSD ports repository

  Modified files:
    java                 Makefile 
  Added files:
    java/jtiger          Makefile distinfo pkg-descr pkg-plist 
  Log:
  JTiger is a unit test framework and tools for the Java 2 Platform. The
  framework provides a useful abstraction on which to write unit test
  fixtures and unit test cases. JTiger tools provide functionality
  that is often desired in software unit testing environments. JTiger
  development encourages Test Driven Development, though it doesn't
  mandate it, and any unit testing software development technique
  is sufficient.
  
  WWW:   http://www.jtiger.org
  
  PR:             ports/124209
  Submitted by:   Wen Heping <wenheping at gmail.com>
  
  Revision  Changes    Path
  1.207     +1 -0      ports/java/Makefile
  1.1       +53 -0     ports/java/jtiger/Makefile (new)
  1.1       +3 -0      ports/java/jtiger/distinfo (new)
  1.1       +10 -0     ports/java/jtiger/pkg-descr (new)
  1.1       +645 -0    ports/java/jtiger/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"